Bug 177993 - Review Request: fetchlog - displays the last new messages of a logfile
Review Request: fetchlog - displays the last new messages of a logfile
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Chabot
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-16 22:02 EST by Paul Wouters
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-20 06:02:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2006-01-16 22:02:20 EST
Spec Name or Url: ftp://ftp.xelerance.com/fetchlog/binaries/fedora/4/SRPMS/fetchlog.spec
SRPM Name or Url: ftp://ftp.xelerance.com/fetchlog/binaries/fedora/4/SRPMS/fetchlog-1.0-1.src.rpm
Description: 
The fetchlog utility displays the last new messages of a logfile. It is
similar like tail (1) but offers some extra functionality for output
formatting. To show only the new messages appeared since the last call
fetchlog uses a bookmark to remember which messages have been fetched.

It is used in combination with nagios and/or snmp to for monitoring syslog events on remote machines, but can also be used as a stand-alone program.
Comment 1 Chris Chabot 2006-01-17 05:03:18 EST
I'll pick this one up, changing to FE-REVIEW (feel free to assign the bug to me)
Comment 2 Chris Chabot 2006-01-17 05:26:30 EST
Builds cleanly on fedora-devel-i386 and in mock

Spec file does have one miror format inconsitency, we 'always' put the %doc line
just below the %defattr line, and not after the binary

Also one error in the spec file, the mandir for "man 1 foo" is
%{_mandir}/man1/foo and not %{_mandir}/1/foo; In the spec file you have:
%install:
install -d %{buildroot}/%{_mandir}/1
install -m644 %{name}.1 %{buildroot}/%{_mandir}/1
%files:
%{_mandir}/*/*

Should be:
%install:
install -d %{buildroot}/%{_mandir}/man1
install -m644 %{name}.1 %{buildroot}/%{_mandir}/man1

rpmlint is quiet and has no output.

The %install section is missing as first line:
rm -rf %{buildroot}

Its customary (and according to standards) to include this.

Formal review list:

MUST review items:
- Builds cleanly on FC5 devel.
- Source included matches upsteam source (md5sum)
- Package name meets guidelines
- spec file name is in %{name}.spec format
- Licence (GPL) is fedora extra's compatible & is included
- Spec file is in (american) english
- Does not list BuildRequires that are excepted in the package guidelines
- All build dependencies are listed
- No ldconfig needed
- All files have proper permissions
- Package is not relocatable
- No duplicate files in %files section
- No missing files in %files section (but does have a lost manpage)
- Has a proper %clean section with rm -rf $RPM_BUILD_ROOT
- Uses macro's described in PackagingGuidelines
- No entries in %doc that are required for standard program operation
- No -devel package needed
- No directory-ownerships needed
- No gui app, so no need for a desktop file

Should items:
- Includes upstream licence file (LICENSE)
- No insane scriplets
- No unnescesarry requires
- Mock builds correctly

Please address the above mentioned few minor errors and post a new srpm and i'll
do the formal review checklist again.
Comment 3 Paul Wouters 2006-01-17 20:00:54 EST
* Mon Jan 17 2006 Paul Wouters <paul@xelerance.com> 1.0-2
- Fixed install target for man page and cleaning before install

ftp://ftp.xelerance.com/fetchlog/binaries/fedora/4/SRPMS/fetchlog.spec
ftp://ftp.xelerance.com/fetchlog/binaries/fedora/4/SRPMS/fetchlog-1.0-2.src.rpm

I've always put the doc/man entries last in the files section, because I tend to
focus on the binaries and libraries first, and never had a complaint about that :)
The other two errors have been fixed.
Comment 4 Chris Chabot 2006-01-17 20:18:41 EST
Guess other people never noticed, or aren't as perfectionistic as me, first spec
file i've seen in fedora with doc not bellow defattr, but its definatly not a
blocker, just matter of taste i guess :-)

Manpage and clean section are conform standards now too, still builds and mocks
cleanly too.

Formal check list:

MUST review items:
- Builds cleanly on FC5 devel.
- Source included matches upsteam source (md5sum)
- Package name meets guidelines
- spec file name is in %{name}.spec format
- Licence (GPL) is fedora extra's compatible & is included
- Spec file is in (american) english
- Does not list BuildRequires that are excepted in the package guidelines
- All build dependencies are listed
- No ldconfig needed
- All files have proper permissions
- Package is not relocatable
- No duplicate files in %files section
- No missing files in %files section
- Has a proper %clean section with rm -rf $RPM_BUILD_ROOT
- Uses macro's described in PackagingGuidelines
- No entries in %doc that are required for standard program operation
- No -devel package needed
- No directory-ownerships needed
- No gui app, so no need for a desktop file

Should items:
- Includes upstream licence file (LICENSE)
- No insane scriplets
- No unnescesarry requires
- Mock builds correctly

Thanks for the updates, FE-APPROVED

Note You need to log in before you can comment on or make changes to this bug.